from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.i18n import XLocaleData

@runtime_checkable
class XLocaleData2(XLocaleData, Protocol):
    def getAllCurrencies2(self, aLocale: Locale) -> list[Currency2]: ...
